﻿#language: ru

Функционал: Выпуск сливок

Сценарий: Выпуск сливок
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '12.03.2019  0:00:00'
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маслоцех'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладМатериалы"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сливки'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	И я жду открытия окна 'Помощник регистрации новой серии' в течение 20 секунд
	И в поле 'Номер' я ввожу текст '1'
	И в поле 'Дата выпуска' я ввожу текст '12.03.2019'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле 'Количество' я ввожу текст '25,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 10_milk_scenario.03.002 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT